Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

How do I install google toolbar for firefox 5?

  • 49 replies
  • 4148 have this problem
  • 2871 views
  • Last reply by Grindlay

more options

Please tell me how to get my google toolbox back after I downloaded firefox 5


'locking as solved - answered repeatedly in this thread - moderator

Modified by the-edmeister

Chosen solution

I have just installed the Compatibility Reporter add-on - it can enable the other add-ons considered as incompatible. It seems to work fine - after restarting Firefox twice (as required) it magically brought back my Google Toolbar and even Google Gears. You can find it here: [https://addons.mozilla.org/en-US/fire.../?src=api]

Read this answer in context 👍 193

All Replies (20)

more options

Be patient - wait till Google updates the toolbar, so it's compatible with the latest Firefox version. I'm waiting for this as well, but there's nothing we can really do.

more options

Do you not think that Firefox should liaise with Google before releasing new versions. I can no longer access my bookmarks stored with my Google account, very frustrating. Of if they can't be bothered liaising then they could at least add a warning before the new version download. I miss the form spellchecker too!

more options

That would be a good idea. They could first show a new version to other web developers (Google, Yahoo etc) so they could at least start updating their software to be compatible. Then, after a couple of days delay the browser could be released to public.

more options

But isn't this typical of FireFox nowadays - shoot first and think later. Depressing that they know of incompatibilities but don't tell you until it's too late.


Same happened with v 4, and that took a long time to fix. Why bother entering a version race when they can't handle the important details?


There again, it's free and you get what you pay for nowadays.

Very sad!

more options

very very frustrating...all of my bookmarks are in the google toolbar. There should be a warning before installation...i'm going to have to revert to the earlier version. i love firefox but this was not well thought out

more options

I can't believe that a worldwide company such as Firefox and Google don't sort this out before releasing updates............Doh..........Come on get with the programme we're in the 21st century........

Modified by trevorlonguk

more options

Chosen Solution

I have just installed the Compatibility Reporter add-on - it can enable the other add-ons considered as incompatible. It seems to work fine - after restarting Firefox twice (as required) it magically brought back my Google Toolbar and even Google Gears. You can find it here: [https://addons.mozilla.org/en-US/fire.../?src=api]

more options

Is there a reason why add-ons break with updates? Not all add-ons break with updates, so does this mean some developers of add-ons knowingly restrict their add-ons to certain versions?

more options

I've installed the compatibility reporter which has got the toolbar working, but I can't enable the Google new tab page. It was working before I upgraded to 5 and there's no longer an option in settings.

more options

I've been using Firefox since the beginning, but I'm about to return to IE. Google Toolbar is my most important add-on and this is the second time in a matter of months that Mozilla have released new versions of Firefox without bothering to see if they work with the toolbar. This sort of contempt for users is why I left IE in the first place, but even MS manage to get the toolbar working with new releases. If you aren't prepared to support widely used add-ons, why bother having add-ons in the first place.

This sort of arrogance will ruin Firefox - Goodbye.

more options

for some reason, my google toolbar seems to be working! it didn't in the beginning, and i tried installing the firefox add-on compatibility reporter, which didn't seem to work no matter how many times i tried, but the moment i disabled add-on compatibility reporter (after installing it mind you), google toolbar was back on. so.. i'm not sure how or why the google toolbar is back, but i sure am glad!

more options

Its finally out

google toolbar for firefox 5

more options

You can try to add Google Bookmarks in iGoogle. I did  :-)

more options

There is a plugin that provides a workaround for this (and other incompatibilities) - see this:

http://www.deargeek.co.uk/2011/06/firefox-5-0-google-toolbar-surprise-fix-it/

It should enable just about any plugin on 5 - but bear in mind they haven't been tested with five and so may not work...

more options

Be patient? This is the kind of major problem Firefox should have fixed BEFORE releasing Firefox5.

more options

It seems worse than bonkers that Firefox releases an update that isn't compatible with the worlds biggest search engine toolbar. Get real Firefox, and liase with Google properly.

more options

Keep using Firefox 5, it has better security. Google Toolbar still works just fine with Firefox 5, but until Google releases a toolbar compatible with Firefox 5, you need to disable add-on compatible versions verification. You can do this by installing Mozilla's Add-On Compatibility Reporter extension from https://addons.mozilla.org/en-US/firefox/addon/15003 and restarting Firefox twice. It basically tells Firefox to ignore the maximum compatible version so the toolbar can be enabled on version 5 too, not blocked just because Firefox releases major version numbers like mad just for the sake of catching up with IE9 and Chrome 12.

more options

My guess, Firefox 5 has the SYNC which includes bookmark sync, a feature that competes with Google Toolbar's bookmark. I can understand why Firefox guys are not in a hurry to ensure Google Toolbar is compatible.

more options

I was surprised firefox 5 didn't support google toolbar. Nowadays community are beginning to filled with non-respectful individuals. They do not care why Google Toolbar is very important to some people - especially developers. They themselves are developers but they are too stupid and stubborn to respect this issue. I suggest mozilla 'fire' the person(s) involved in notifying to upgrade to Firefox 5 without paying careful 'conscious' regarding certain issue. If more people like 'these' fill in the community, mozilla will have their own grave buried sooner or later.

How come they do not check first before urgently recommend people to upgrade to 5 when one of the major issue doesn't resolved? If it is not important, this issue here will not be brought up. They who do not have any idea certainly wouldn't care but why must mozilla developers start thinking like an asshole assuming that everybody doesn't care about this issue?

Start developed self-conscious about there are people whose 'upgraded' and whose not. Pay attention to smart people rather than valuing vast amount of people who have no idea of whatsoever!

more options

Download this "Add On Compatibility reporter" by mozilla. (Just google it and then install it). Then download and install the google toolbar as normail. It bypasses the compatibility issue...

  1. 1
  2. 2
  3. 3